From 12b820b01568176ca22effb35a933335c5f50d0d Mon Sep 17 00:00:00 2001
From: Alexandru Ardelean <alexandru.ardelean@analog.com>
Date: Thu, 18 Jul 2019 10:11:55 +0300
Subject: [PATCH 07/32] build,centos,bionic: add ssh-dss algo to EXTRA_SSH
 env-var

Recently docker builds have been failing because they couldn't negotiate
the algo for the SSH connection when deploying.
This has already been failing on other builds in a similar fashion, and now
we need to extend this to CentOS & Bionic docker builds.

Signed-off-by: Alexandru Ardelean <alexandru.ardelean@analog.com>
---
 .travis.yml | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/.travis.yml b/.travis.yml
index b12d1f1..1969564 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -31,14 +31,17 @@ matrix:
       env:
         - OS_TYPE=centos_docker
         - OS_VERSION=6
+        - EXTRA_SSH=-oHostKeyAlgorithms=+ssh-dss
     - os: linux
       env:
         - OS_TYPE=centos_docker
         - OS_VERSION=7
+        - EXTRA_SSH=-oHostKeyAlgorithms=+ssh-dss
     - os: linux
       env:
         - OS_TYPE=ubuntu_docker
         - OS_VERSION=bionic
+        - EXTRA_SSH=-oHostKeyAlgorithms=+ssh-dss
     - compiler: "gcc"
       os: osx
       osx_image: xcode9.2
-- 
2.30.2

